#pragma once
#include "TOC.h"
#include "Index.h"
#include "ScrollBar.h"

class SideCon
{
	public:
		SideCon(rect* DisplayTextArea);
		~SideCon();
		void EnableTOC(char* Input, char* fontPath, char* imagePath, char* defaultPagePath, int tabwidth=15);
		void EnableIndex(char* Input, char* fontPath, char* imagePath, char* defaultPagePath, int tabwidth=15);
		void DisableTOC();
		void DisableIndex();
		void KeyPress();
		void Mouse(int x, int y, DWORD buttons);
		void Draw();
		void SetScrollOffset(int y);
	private:
		SideCon(); //call me not
		SideCon(SideCon&);//don't call this
		SideCon& operator= (SideCon const &); //don't call the assignment operator

		Toc* Tocp;
		Index* Indexp;
		Region* RM;
		rect* Dim;
		rect* TocDim;
		rect* IndexDim;
		rect* InputDim;
		rect *Tab1, *Tab2;
		bool IndexOnTop;
};